#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "s2plot.h"

int main(int argc, char *argv[])
{
   FILE *fp;			/* File to read from */
   char string[128];		/* Line of text from file */
   float wl, y, z = 0;		/* Input data */
   int pt = 1;			/* Projection type: orthographic = 1 */

   s2opend("/?",argc,argv);	/* Open the S2PLOT display */
   s2svp(-2,2,-1,1,-0.1,0.1);	/* Set the screen volume */
   s2swin(250,950,0.0,100.0,-1.0,1.0);	/* Set the window coordinates */
   ss2spt(pt);			/* Set projection type */
  
   s2sci(S2_PG_BLUE);			/* Set label plotting colour */
   s2box("BTMNOPQ",0,0,"BTMNOPQ",0,0,"",0,0);		/* Draw box */
   s2lab("Wavelength (nm)","Transmission (%)","","");	/* Label it */

   fp = fopen("filters.dat","r");	/* Open the file */
   fgets(string, 128, fp);		/* Read a line of text */

   s2sci(S2_PG_WHITE);
   while (!feof(fp)) {		
      sscanf(string,"%f %f",&wl, &y);
      s2pt1(wl/10.0, y, z, 1);
      fgets(string, 128, fp);		/* Get next line of text */
   }
   fclose(fp);				/* Close the file */

/* Set the camera position so that we get a nicely centred graph */
   XYZ pos = { 0.0, 0.0, 5.5 };
   XYZ vd = { 0, 0, -1 };
   XYZ vu = { 0, 1, 0 };
   ss2sc(pos, vu, vd, 0);

   s2show(1);
   return 1;
}

